body{margin: 0;
font-family: 'Montserrat', sans-serif;
background-color: white;
}

/*hero sections*/

.hero
{
height: 100vh;
background-size: cover;
display: flex;
flex-direction: column;
color: white;
justify-content: center;
text-align: center;
align-items: center;
background-image: linear-gradient(120deg, rgba(61, 61, 231, 80%), 
    rgba(214, 18, 214, 80%)), url(images/pic1.jpg);
background-repeat: no-repeat;
background-position: center;
position: relative;
}

.buttons{display: flex;
gap: 15px;
margin-top: 20px;
}

.buttons > .action{background-color: white;
padding: 9px 18px;
border-radius: 20px;
border: 3px solid white;
color: white;
}

.action.two{background: transparent;
font-weight: bold;
}
.action.one{color: purple;
font-weight: bold;
}

.action.one:hover{background: whitesmoke;
    cursor: pointer;
}

.action.two:hover{background: rgb(244, 184, 184, 20%);
    cursor: pointer;
}

h1{
font-size: 4rem;
color: white;
margin-bottom: 2px;}

/*About me section*/

h2{font-size: 2.3rem;
text-align: center;}

#about_me{
background-color: whitesmoke;
padding:  30px;
margin: 30px;
border-radius: 30px;
}

.about-container{display: flex;
align-items: stretch;
gap: 40px;
}

.about-image,
.about-text{
flex: 1;
width: 100%
}

.about-image img{
width: 100%;
border-radius: 10px;

}

.icons{ width: 30px;
    height: 30px;
display: flex;
gap: 20px;
margin-top: 20px;
}

.icon{
width: 30px;
height: 30px;
cursor: pointer;
}


@media (max-width: 768px){

.about-container{
flex-direction: column;

}

}

/*skills section*/

.skills{
display: flex;
justify-content: center;
gap: 20px;
flex-wrap: wrap;}

.frontend-skills{background-color: whitesmoke;
padding: 12px;
border-radius: 20px;
width: 70%;
max-width: 300px;}

.ui-skills{background-color: whitesmoke;
padding: 12px;
width: 70%;
border-radius: 20px;
max-width: 300px;}

.backend-skills{background-color: whitesmoke;
padding: 12px;
border-radius: 20px;
width: 70%;
max-width: 300px;}

.ui-skills:hover{
box-shadow: 1px 2px 5px grey;}

.backend-skills:hover{
box-shadow: 1px 2px 5px grey;}

.frontend-skills:hover{
box-shadow: 1px 2px 5px grey;}

/*Project section*/
h3{text-align: center;}

.project-section{background-color: whitesmoke;
margin: 15px;
display: flex;
flex-direction: column;
justify-content: center;
border-radius: 20px;
}

.text{padding-left: 30px;}

@media (min-width: 783px) {
  .project-section{margin-left: 300px;
margin-right: 300px;}  
}

.image img{width: 100%;
border-radius: 10px;
}

ul li::marker{list-style-type: none;
color: purple;}

                                                                                                                                                                                              
.collaborate{background-image: linear-gradient(120deg, rgba(61, 61, 231, 80%), 
    rgba(214, 18, 214, 80%));
padding: 20px;
display: flex;
flex-direction: column;
gap: 20px;
height: 300px;
}


button img{width: 20px;
height: 25px;
}

.collab-button{display: flex;
flex-direction: row;
gap: 15px;
justify-content: center;}

.collab-button button{border: 2px solid white;
border-radius: 10px;
padding: 4px;}

.email{background-color: white;
color: purple;
display: flex;
align-items: center;
gap: 5px;
}

.email:hover{cursor: pointer;
background-color: whitesmoke;
border: 2px solid whitesmoke;}

.github{background-color: transparent;
color: purple;
display: flex;
align-items: center;
gap: 5px;
}

.text{text-align: center;}

.github:hover{cursor: pointer;
background-color: rgba(205, 71, 185, 20%);
border: 2px solid whitesmoke;}

@media (max-width: 768px) {.collab-button{display: flex;
flex-direction: column;}
    
}

footer{background-color: black;
height: 100px;
color: whitesmoke;
}

footer p{padding-top: 40px;
text-align: center;}

